Mail archive
alpine-aports

[alpine-aports] [PATCH] main/irssi: security upgrade to 1.0.6 (CVE-2018-5205, CVE-2018-5206, CVE-2018-5207, CVE-2018-5208)

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sun, 7 Jan 2018 18:03:50 -0500

Add check
---
 main/irssi/APKBUILD | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)
diff --git a/main/irssi/APKBUILD b/main/irssi/APKBUILD
index f577b6b4c8..1611e0020d 100644
--- a/main/irssi/APKBUILD
+++ b/main/irssi/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=irssi
-pkgver=1.0.5
-pkgrel=1
+pkgver=1.0.6
+pkgrel=0
 pkgdesc="A modular textUI IRC client with IPv6 support"
 url="https://irssi.org/"
 arch="all"
_at_@ -24,6 +24,11 @@ builddir="$srcdir"/$pkgname-$pkgver
 #     - CVE-2017-15723
 #     - CVE-2017-15227
 #     - CVE-2017-15228
+#   1.0.6-r0:
+#     - CVE-2018-5205
+#     - CVE-2018-5206
+#     - CVE-2018-5207
+#     - CVE-2018-5208
 
 build() {
 	cd "$builddir"
_at_@ -39,6 +44,11 @@ build() {
 	make
 }
 
+check() {
+	cd "$builddir"
+	./src/fe-text/irssi -v
+}
+
 package() {
 	cd "$builddir"
 	make DESTDIR="$pkgdir" install
_at_@ -69,4 +79,4 @@ proxy() {
 	mv "$pkgdir"/usr/lib/irssi/modules/libirc_proxy.* "$subpkgdir"/usr/lib/irssi/modules/
 }
 
-sha512sums="c3fa94b6ddfa30b18f5ae5de0e607a226eb6e2c20c03a712243b75e8b5896f353c1e7d096094f66e304b5b2691ad3479e26c024245b32b399f08e29815f02bfb  irssi-1.0.5.tar.xz"
+sha512sums="ec7ac952fe0cfdf583540f1a466404a573da169e796a342b423126d7bb5d8f8336baafa27f9aed5d0eabc1f201cc4809723493b731d49e42ae1f2b7ec4099d16  irssi-1.0.6.tar.xz"
-- 
2.15.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 07 2018 - 18:03:50 GMT